# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name terminfo

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

# add any foreign library dependencies here:
%global ghc_pkg_c_deps ncurses-devel%{?_isa}

Name:           ghc-%{pkg_name}
Version:        0.3.2.3
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ncurses-devel%{?_isa}
BuildRequires:  ghc-extensible-exceptions-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# workaround libdir/libncursesw.so linker script breaking linking library for ghc < 7.2
case %ghc_version in
     6.* | 7.0.*) sed -i -e "s/extra-libraries: ncursesw/extra-libraries: tinfo/" -e "s!ld-options:!ld-options: /%{_lib}/libncursesw.so.5!" $RPM_BUILD_ROOT%{_libdir}/ghc-%{ghc_version}/package.conf.d/%{pkg_name}-%{version}.conf ;;
esac

%ghc_devel_package
Requires:  ncurses-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.3-2
- add license to ghc_files
- no longer need the linker script workaround

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.3-1
- update to 0.3.2.3 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.2.2-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.2.2-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3.2.2-1.1
- rebuild with new gmp

* Wed Aug 17 2011 Jens Petersen <petersen@redhat.com> - 0.3.2.2-1
- update to 0.3.2.2

* Mon Aug  8 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- update to 0.3.2

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.3.1.3-7
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3.1.3-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.3.1.3-4
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.3-3
- rebuild

* Wed Sep 29 2010 jkeating - 0.3.1.3-2
- Rebuilt for gcc bug 634757

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.3-1
- update to 0.3.1.3

* Sun Aug  1 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.2-1
- depends on ncurses
- BSD license
- add ncurses linker script workaround hack to .conf

* Sun Aug  1 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.1.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
